Bug 509011 - kickstart.deleteProfile api call has incorrect docs for ksLabel
kickstart.deleteProfile api call has incorrect docs for ksLabel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996 457075
  Show dependency treegraph
 
Reported: 2009-06-30 16:39 EDT by Justin Sherrill
Modified: 2009-09-10 15:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:26:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-06-30 16:39:12 EDT
kickstart.deleteProfile api call documentation has:

    *  string sessionKey
    * string ksLabel - The kickstart label of the ip range you want to remove


ksLabel shouldn't say anything about the ip range.  It's just the label of the kickstart.
Comment 1 Clifford Perry 2009-07-01 09:48:01 EDT
Approved
Comment 2 Brad Buckingham 2009-07-01 09:59:02 EDT
master git commit: ea7fa2349fb60049dbbf97374f838385123ee9d3
vader git commit: adc02e9f786f47457e460cf8120cf8251be2fe12

new doc:

Method: deleteProfile
Description:
Delete a kickstart profile

Parameters:

    * string sessionKey
    * string ksLabel - The label of the kickstart profile you want to remove

Returns:

    * int - 1 on successful deletion, 0 if kickstart wasn't found or couldn't be deleted.
Comment 3 Sayli Karmarkar 2009-07-06 13:21:12 EDT
verified. 

string ksLabel - The label of the kickstart profile you want to remove
Comment 4 Steve Salevan 2009-07-31 13:15:20 EDT
RELEASE_PENDING from 7/24 build.
Comment 5 Brandon Perkins 2009-09-10 15:26:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.